# refundPayment

### Arguments

| Argument                                                                                  | Description                  |
| ----------------------------------------------------------------------------------------- | ---------------------------- |
| input ([RefundPaymentInput](/graphql-api/api-reference/objects/refund-payment-input.md)!) | Parameters for RefundPayment |

### RefundPaymentInput Arguments

| Argument                                                         | Description                                                                            |
| ---------------------------------------------------------------- | -------------------------------------------------------------------------------------- |
| id ([ID](/graphql-api/api-reference/objects/id.md))              | ID of the payment to issue the refund for. When provided, invoice\_id is ignored.      |
| invoiceId ([ID](/graphql-api/api-reference/objects/id.md))       | ID of the invoice to find a paid payment for refunding when no payment ID is provided. |
| amount ([Float](/graphql-api/api-reference/objects/float.md)!)   | Amount to refund.                                                                      |
| reason ([String](/graphql-api/api-reference/objects/string.md)!) | Reason for issuing the refund.                                                         |

### Return fields

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)

Errors while issuing the refund. Can also contain error messages from the payment service provider.

#### payment ([Payment](/graphql-api/api-reference/objects/payment.md))

The payment the refund is issued for.

#### refund ([Refund](/graphql-api/api-reference/objects/refund.md))

The refund when succesfully issued.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/refund-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
